using Shapes;

namespace ShapeTests
{
    [TestClass]
    public class UnitTest1
    {
        // Tests for Circle
        [TestMethod]
        public void TestCircleAreaWithRadiusOne()
        {
            var circle = new Circle(1);
            Assert.AreEqual(Math.PI, circle.CalculateArea(), 1e-10);
        }

        [TestMethod]
        public void TestCircleAreaWithRadiusZero()
        {
            var circle = new Circle(0);
            Assert.AreEqual(0, circle.CalculateArea(), 1e-10);
        }

        [TestMethod]
        public void TestCircleAreaWithRadiusFive()
        {
            var circle = new Circle(5);
            Assert.AreEqual(25 * Math.PI, circle.CalculateArea(), 1e-10);
        }

        // Tests for Triangle
        [TestMethod]
        public void TestTriangleAreaWithSidesThreeFourFive()
        {
            var triangle = new Triangle(3, 4, 5);
            Assert.AreEqual(6, triangle.CalculateArea(), 1e-10);
        }

        [TestMethod]
        public void TestTriangleIsRightWithSidesThreeFourFive()
        {
            var triangle = new Triangle(3, 4, 5);
            Assert.IsTrue(triangle.IsRightAngle);
        }

        [TestMethod]
        public void TestTriangleAreaWithSidesFiveFiveFive()
        {
            var triangle = new Triangle(5, 5, 5);
            Assert.AreEqual(10.825317547305486, triangle.CalculateArea(), 1e-10);
        }

        [TestMethod]
        public void TestTriangleIsNotRightWithSidesFiveFiveFive()
        {
            var triangle = new Triangle(5, 5, 5);
            Assert.IsFalse(triangle.IsRightAngle);
        }
    }
}