﻿using Shapes;

namespace ShapesDemo
{
    internal class Program
    {
        static void Main(string[] args)
        {
            var circle = new Circle(5);
            var triangle = new Triangle(3, 4, 5);
            var square = new Square(10, 3);

            var circleArea = ShapeUtils.CalculateArea(circle);
            var triangleArea = ShapeUtils.CalculateArea(triangle);
            var squareArea = ShapeUtils.CalculateArea(square);

            Console.WriteLine($"Circle area: {circleArea:F3}");
            Console.WriteLine($"Triangle area: {triangleArea:F3}");
            Console.WriteLine($"Is triangle right-angled: {triangle.IsRightAngle}");
            Console.WriteLine($"Square area: {squareArea}");
        }
    }

    /// <summary>
    /// Custom additional shape - quare
    /// </summary>
    public class Square : IShape
    {
        public double X { get; }
        public double Y { get; }

        public Square(int x, int y)
        {
            (X, Y) = (x, y);
        }

        public double CalculateArea() => X * Y;
    }
}
